singular (1:4.1.1-p2+ds-4build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:10:46 +0100

singular (1:4.1.1-p2+ds-4build1) focal; urgency=medium

  * No-change upload for libntl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 09:34:04 +0100

singular (1:4.1.1-p2+ds-4) unstable; urgency=medium

  * Debianization:
    - migration to Python3 (Closes: #943272);
    - debian/copyright, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 10 Jan 2020 08:17:41 +0000

singular (1:4.1.1-p2+ds-3) unstable; urgency=medium

  * RC fix (Closes: #910808), suffix library package wrt major and minor
    version numbers.
  * Debianization:
    - d/patches:
      - d/p/upstream-autotools_pedant-harmonize-librelease.patch, introduce;
      - d/p/debianization-prefix_libreleases.patch, introduce;
    - d/rules:
      - export UPS_VERSION_UPSTREAM, introduce to prefix libreleases when
        necessary to avoid conflict (see d/p/d-prefix_libreleases.patch).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Oct 2018 08:35:09 +0000

singular (1:4.1.1-p2+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Import backport patch from upstream for sagemath 8.3 .
  * Debianization:
    - debian/patches/*:
      - d/p/patches/upstream-backport-ntl-error-handler.patch , import.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Oct 2018 11:29:10 +0000

singular (1:4.1.1-p2+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/singular-doc.docs, update;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling.patch , integrated;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Apr 2018 16:47:36 +0000

singular (1:4.1.1-p1+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuples, refresh;
      - Files-Excluded field, update;
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Vcs-* fields, migrate to Salsa;
    - debian/rules:
      - get-orig-source target, compression option, move to d/watch ;
    - debian/patches/*:
      - d/p/debianization-4ti2.patch , obsoleted by upstream;
      - update;
    - debian/watch:
      - compression option, add.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 30 Mar 2018 11:20:12 +0000

singular (1:4.1.0-p3+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 May 2017 13:04:10 +0000

singular (1:4.1.0-p3+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/, refreshment;
    - singular.hlp management, correct (Closes: #856871).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Apr 2017 12:40:35 +0000

singular (1:4.1.0-p2+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/control, update;
    - d/patches/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Feb 2017 07:41:13 +0000

singular (1:4.1.0-p1+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright, refresh;
    - debian/rules, harden;
    - debian/*, correct typo.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 21 Nov 2016 05:25:14 +0000

singular (1:4.0.3-p5+ds-1) experimental; urgency=medium

  * Debianization:
    - debian/patches/upstream-lintian-spelling-error-silence.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 14:03:39 +0000

singular (1:4.0.3-p4+ds-2) experimental; urgency=medium

  * Debianization:
    - version epoch (deb-version(1)), bump (see d/README.source for rationale);
    - debian/README.source, introduce;
    - debian/gbp.conf, set up (default debian-branch: experimental);
    - debian/control:
      - transition, polybori -> brial.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 03:20:28 +0000

singular (4.0.3-p4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*.patch:
      - Origin field, correct;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 20 Oct 2016 23:58:53 +0000

singular (4.0.3-p3+ds-2) unstable; urgency=medium

  * RC fix (Closes: #840481), fix readline 6 to 7 migration issue.
  * Debianization:
    - debian/rules, do not compress .hlp data files (for now).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 14 Oct 2016 22:41:33 +0000

singular (4.0.3-p3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Build-Depends, migrate to libreadline-dev;
    - debian/patches/:
      - discard integrated and/or obsoleted patches:
        - upstream-bug-831072-gcc_6_1_1-segfault.patch
        - upstream-bug-831072-hidden-segfault.patch
        - upstream-reproducible.patch
        - upstream-autotools-DESTDIR.patch
        - upstream-autotools-singular_idx.patch .

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Oct 2016 11:47:58 +0000

singular (4.0.3-p1+ds-4) unstable; urgency=medium

  * RC fix (Closes: #837016), fix ax_prog_doxygen.m4 update issue.
  * Debianization:
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 29 Sep 2016 10:48:09 +0000

singular (4.0.3-p1+ds-3) unstable; urgency=medium

  * RC fix (Closes: #831072), fix gcc-6 transition issue.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 25 Jul 2016 22:13:13 +0000

singular (4.0.3-p1+ds-2) unstable; urgency=medium

  * FTBFS fix (Closes: #806108), fix indep build failure.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Apr 2016 15:03:31 +0000

singular (4.0.3-p1+ds-1) unstable; urgency=medium

  * New upstream version (Closes: #811855).
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.8 (no change);
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, refresh;
      - d/p/upstream-autotools-DESTDIR.patch, introduce;
      - d/p/upstream-autotools-singular_idx.patch, introduce;
      - d/p/upstream-reproducible.patch, introduce;
    - provide doc `as is'.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 28 Apr 2016 18:04:58 +0000

singular (4.0.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.7 (no change);
      - Homepage and Vcs-* fields, secure;
      - debug symbol package, drop off in favour of automatic generation;
      - upgrade scheme, harden (Closes: #800961);
    - debian/copyright, refresh;
    - debian/rules:
      - debug symbol package, drop off in favour of automatic generation;
    - debian/repack, harden;
    - minor fix (submitted).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 23 Feb 2016 02:55:40 +0000

singular (4.0.2-p2+ds-3) unstable; urgency=medium

  * FTBFS fix (Closes: #804892), harden omalloc check.
  * Debianization:
    - debian/patches/upstream-tests-omalloc-getlucky.patch, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Nov 2015 04:38:52 +0000

singular (4.0.2-p2+ds-2) unstable; urgency=medium

  * FTBFS fix (Closes: #804186), render deterministic an undeterministic check.
  * Debianization:
    - debian/rules, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 05 Nov 2015 21:31:15 +0000

singular (4.0.2-p2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debina/patches/*:
      - git-version-gen, harden;
      - refresh;
      - minor fix (submitted).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Nov 2015 04:07:40 +0000

singular (4.0.2-p1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/watch, update;
    - debian/repack, update;
    - debian/patches/ patches:
      - git-version-gen echoes now the debian package version
        with prefix "debian-" instead of a fancy git number;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Oct 2015 21:13:15 +0000

singular (4.0.2+ds-1) unstable; urgency=medium

  * New upstream version, integrate most of submitted upstream patches.
  * Upload to unstable.
  * Debianization:
    - debian/patches/debianization-rename-pkgconfig_files.patch, prepend
      singular- to the singular related modules within the metainformation
      singular pkg-config files;
    - debian/patches/ patches:
      - micro upstream fixes;
      - minor Debian adaptations;
      - refresh.
  * Upstream fixes have been pulled for request to the Singular Team.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Aug 2015 00:12:09 +0000

singular (4.0.1p2+ds-1) experimental; urgency=medium

  * New major release started from scratch (Closes: #764475).
  * Debianization:
    - debian/copyright in DEP-5 format;
    - debian/control:
      - debhelper build-dep to >= 9;
      - Standards Version 3.9.6;
      - Vcs-* headers;
    - debian/source, format 3.0 (quilt);
    - build-arch/build-indep scheme, implement;
    - debian/patches/ patches:
      - in DEP-3 format;
      - prepend singular- to every Singular libraries for avoiding
        possible conflicts;
      - gather headers in a package include folder for the same reason;
      - manual page generated via help2man;
      - minor upstream fixes;
      - minor Debian adaptations;
    - debian/watch file;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - autoreconf-iguration;
      - full dh integration;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - gpg-signature check support, neutralize.
  * Minor fixes, enhancements, request for a better source tarball were
    submitted and have been ; thanks to the Singular Team.
  * Upstream fixes and enhancemens have been pulled for request to the
    Singular Team.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Feb 2015 16:46:56 +0000

singular (3-0-4-3.dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing the FTBFS (wrong compilation Makefile target and other
    issues, closes: #584339).
  * Really update libreadline-dev dependency (last revision only changed
    it in control.in).

 -- Giovanni Mascellani <gio@debian.org>  Tue, 10 Aug 2010 11:56:22 +0200

singular (3-0-4-3.dfsg-3) unstable; urgency=low

  * Update readline dependency to "libreadline-dev", not
    "libreadline5-dev".

 -- Tim Abbott <tabbott@mit.edu>  Fri, 18 Sep 2009 19:48:47 -0400

singular (3-0-4-3.dfsg-2) unstable; urgency=low

  * Change singuname architecture detection to support Linux on
    architectures unknown to the Singular build system. (Closes: #493492).

 -- Tim Abbott <tabbott@mit.edu>  Sat, 02 Aug 2008 21:45:51 -0400

singular (3-0-4-3.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #383515).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 08 Jul 2008 19:12:19 -0400
